Subject: Re: [16ng] IP Subnet model over 802.16

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 28 Jun 2006 10:28:23 -0700 (PDT)

Hello all,
  I have a feeling that some of the colleagues in this mailing list do not seem to understand that WiMAX Forum is an SDO, just like 3GPP and 3GPP2. 
  This fact implies that the boundaries between 16ng and WiMAX Forum should be drawn just as in the other SDOs. 
  I really do not know if this point has been taken care of when drawing up the charter.
  Regards,

--behcet

----- Original Message ----
From: Junghoon Jee <[email-masked]>
To: [email-masked]; [email-masked]
Sent: Wednesday, June 28, 2006 12:13:36 AM
Subject: RE: [16ng] IP Subnet model over 802.16

Hello Myung-Ki,

Thank you for the valuable inputs.
I tend to agree with you about the need to define the scope of 16ng
work.
I think definitely the case of 1 and 2 are in scope of our work.
I don't have a strong opinion about the case 3 and 4 yet. Could we
listen any other's thought regarding this?

Best Regards,
-Junghoon

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Myung-Ki Shin
> Sent: Wednesday, June 28, 2006 9:25 AM
> To: [email-masked]
> Subject: Re: [16ng] IP Subnet model over 802.16
> 
> 
> Hi Junghoon,
> 
> I agree on your initial discussion and idea.
> That's what I suggested here.
> 
> Also, I think BS architecture issues should be considered as 
> well as CSes and addressing issues, since there will be some 
> impact on IPv6 operations (e.g., ND, multicasting, etc.).
> 
> So, we have several IP deployment subnet model (scenarios) 
> for IEEE 802.16 access technology and we should define 16ng's 
> scope according to a point of deployment view.
> 
> Please see four possible deployment scenarios below.
> 
> 1. Cellular-like Deployment Model
> - Mobile/single device deployment (e.g., current WiMAX, WiBro)
> - A BS is separated from a Access Router
> - A subnet consists of only single router and multiple BSs and MSs
> - IPv6 CS is appropriate to this model
> 
> +-----+
> | MS1 |<------+
> +-----+       |
> +-----+       |    +-----+     +-----+    +--------+
> | MS2 |<------+----| BS1 |--+->| AR  |----| Edge   |    ISP
> +-----+            +-----+  |  +-----+    | Router +==>Network 
>  
> 
>                              |             +--------+
> +-----+            +-----+  |
> | MS3 |<------+----| BS2 |--+
> +-----+       |    +-----+               <---> IP termination 
> 
> +-----+       |
> | MS4 |<------+
> +-----+
> 
> 2. Bridging to regular Ethernet Model
> - Hot Zone Deployment Scenarios (e.g., WiBro Phase-II)
> - A subnet consists of multiple BSs and MSs.
> - Multi-homing, Native Multicasiting, etc can be used.
> - Eth-CS is appropriate to this model
> 
> +-----+                        +-----+    +-----+    ISP 1
> | MS1 |<-----+              +->| AR1 |----| ER1 |===>Network
> +-----+      |              |  +-----+    +-----+
> +-----+      |     +-----+  |
> | MS2 |<-----+-----| BS1 |--|
> +-----+            +-----+  |  +-----+    +-----+    ISP 2 
> 
>                              +->| AR2 |----| ER2 |===>Network
> +-----+            +-----+  |  +-----+    +-----+
> | MS3 |<-----+-----| BS2 |--+
> +-----+      |     +-----+             <---> IP termination 
> 
> +-----+      |
> | MS4 |<-----+
> +-----+
> 
> 3. (Home) DSL Replacement Model
> - E.g., In-home Deployment Scenario
> - A BS is integrated with a router, composing one box in view of
>    implementation.
> - A subnet consists of only single BS/AR and multiple MSs
> 
> +-----+
> | MS1 |<------+
> +-----+       |
> +-----+       |    +-------+         +--------+
> | MS2 |<------+--->|BS/AR1 |---------| Edge   |    ISP
> +-----+            +-------+         | Router +==>Network 
> 
>                                       +--------+
> +-----+            +-------+           |
> | Ms3 |<------+--->|BS/AR2 |-----------+
> +-----+       |    +-------+ 
> 
> +-----+       |                     <---> IP termination
> | MS4 |<------+
> +-----+
> 
> 4. 3GPP- IPv6 [RFC3316 ] - like Deployment Model
> - A subnet consists of only single BS/router and single MS.
> (I think this model will be rarely deployed)
> 
> +-----+
> | MS1 |<-------------+
> +-----+              v
> +-----+            +-------+         +--------+
> | MS2 |<---------->|BS/AR1 |---------| Edge   |    ISP
> +-----+            +-------+         | Router +==>Network 
> 
>                                       +--------+
> +-----+            +-------+           |
> | Ms3 |<---------->|BS/AR2 |-----------+
> +-----+            +-------+
> +-----+              ^               <---> IP termination
> | MS4 |<-------------+
> +-----+
> 
> I'd like to have your opinions on this deployment models.
> 
> Thanks,
> Myung-Ki,
> 
> 
> > ----- Original Message -----
> > From: "Junghoon Jee" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Tuesday, June 27, 2006 11:24 AM
> > Subject: [16ng] IP Subnet model over 802.16
> > 
> > 
> > 
> >>Hello,
> >>I would like to have your valuable opinions about "IP Subnet model

> >>over 802.16".
> >>
> >>First of all, let's stick the use of terminology of "IP Subnet"
and 
> >>"Link"
> >>as mentioned by Dave from
> >>[draft-thaler-intarea-multilink-subnet-issues-00.txt].
> >>
> >>Here is the terminology definition from the draft.
> >>------------------------------------------------------------
> ----------
> >> The term "link" is generally used to refer to a topological area
> >>  bounded by routers which decrement the IPv4 TTL or IPv6 Hop
Limit
> >>  when forwarding the packet.  A link-local address prefix 
> is defined
> >>
> >>  in both IPv4 [RFC3927] and IPv6 [RFC3513]. 
> >>
> >>  The term "subnet" is generally used to refer to a 
> topological area  
> >> that uses the same address prefix, where that prefix is not
further
> >>
> >>  subdivided except into individual addresses. 
> >>------------------------------------------------------------
> ----------
> >>-
> >>
> >>I think there are two ways in configuring an IP subnet over 802.16

> >>networks.
> >>
> >>a. Ethernet like Subnet Model
> >>- SSs share the same global address prefix.
> >>- All SSs under an IP Gateway are neighbors.
> >>
> >>b. 3G like Subnet Model
> >>- SSs do not share the same global address prefix.
> >>- Only the IP Gateway is neighbor.
> >>
> >>Currently, we are considering two convergence sublayers, IP CS and

> >>Ethernet CS.
> >>I feel the need to take consideration of which IP subnet model is
a 
> >>feasible/appropriate/preferable one depending on the CS used.
> >>
> >>Let me share my rough thought on this point for each CS
considered.
> >>
> >>1. IP CS case:
> >>a. Ethernet like subnet model
> >>- Multilink subnet issues need to be considered.
> >>b. 3G like subnet model
> >>- RFC 3314 might be applicable
> >>- We do not have PPP CS here.
> >>- Is there any client who needs a solution for this case?
> >>
> >>2. Ethernet CS case:
> >>- Ethernet like subnet model seems appropriate by providing 
> a bridge 
> >>functionality to the BS.
> >>
> >>Any comments and thoughts?
> >>
> >>Best Regards,
> >>-Junghoon
> >>
> >>
> >>_______________________________________________
> >>16ng mailing list
> >>[email-masked]
> >>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
> 
> 
> --
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> Myung-Ki Shin, Ph.D.| [email-masked]
> ETRI/PEC            | 161 Gajeong-dong Yuseong-gu
> Tel:+82-42-860-4847 | Daejeon, 305-350 Korea 
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

_______________________________________________
16ng mailing list
[email-masked]
http://eeca16.sogang.ac.kr/mailman/listinfo/16ng